<?php if ($items){ ?>
<style>
.cmcmodal-<?= $id; ?> {
    display:none;
    width: <?= $random_width; ?>%;
    position: fixed;
    <?= $y_pos; ?>:20px;
    <?= $x_pos; ?>:20px;
    padding-bottom: 20px;
    padding-left: 20px;
    padding-right: 20px;
    <?php if ($show_title == true) { echo
    'padding-top: 5px;'
    ; } ?>
    <?php if ($show_title == false) { echo
    'padding-top: 20px;'
    ; } ?>
    background: rgba(<?= $random_bg; ?>);
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);
    box-sizing: border-box;
    border-radius: <?= $random_radius; ?>px;
    z-index:9999;
}
<?php if ($show_title == true) { echo
'.title_random {
    display: block;
    float: none;
    color: #403E3E;
    background: rgba('.$random_bg.');
    padding: 7px;
    font-size: 16px;
}'
; } ?>
@media (max-width: 775px) {
.cmcmodal-<?= $id; ?> { width: 100%; position: fixed; <?= $y_pos; ?>:0px; <?= $x_pos; ?>:0px; border-radius: 0px; }
.blokava img { width: 65px; }}
</style>
<?php $this->addCSS('templates/default/controllers/content/widgets/randomitem/css/random.css'); ?>
<?php foreach($items as $item) { ?>
<div class="cmcmodal-<?= $id; ?>">
<?php if ($show_title == true) { echo 
'<h2 class = "title_random">'.$title_t.'</h2>'
; } ?>
   <div class="vbcent">
   <?php   $url = href_to($ctype['name'], $item['slug']) . '.html'; $image = html_image_src($item[$image_field], $image_preset, true); ?>
      <div class="blokava">
     <a href="<?php echo $url; ?>">
     <img src="<?php echo $image; ?>">
    </a>
      </div>
      <div class="bloktext">
         <p><a style = "font-weight: bold; color: <?= $t_color; ?>; text-decoration: none;" href="<?php echo $url; ?>"><?php html($item['title']); ?></a></p>
         <p style = "color: <?= $teaser_color; ?>"><?php echo $item[$teaser_field]; ?></p>
      </div>
   </div>
</div>
<?php } ?>

<?php ob_start(); ?>
<script>
(function randomFade() {
        var fadeDivs = $('.cmcmodal-<?= $id; ?>'),
                el = fadeDivs.eq(Math.floor(Math.random() * fadeDivs.length));
                el.delay(<?= $period_random; ?>000).fadeIn(500).delay(<?= $delay_random; ?>000).fadeOut(500,randomFade);
})();
</script>
<?php $this->addBottom(ob_get_clean()); ?>
<?php } ?>